### Virtual Method

# Foundry DebuggerThread move

since: 1.1

#### Declaration [src]

    DexFuture*
    move (
      FoundryDebuggerThread* self,
      FoundryDebuggerMovement movement
    )

#### Description

No description available.

Available since: 1.1

#### Parameters

`movement`

  Type: `FoundryDebuggerMovement`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.